# LinuX-Guide-To-Vtubing

LINUX GUIDE TO VTUBING By KyloNeko


Prerequisites:


-A Linux distro of your Choosing ( I use linux mint 22 (Xorg)  but other distros should work)
-Vtube Studio, VeeseeFace or any other face tracking application that ( may) work on linux: https://denchisoft.com/ , https://www.vseeface.icu/ , https://suvidriel.itch.io/vnyan , https://store.steampowered.com/app/2079120/Warudo/ 
-FaceTracker off Flathub : https://flathub.org/apps/de.z_ray.Facetracker or you can follow RougeRen’s guide here: https://www.youtube.com/watch?v=Q3aMVZXh_cI&t=7s 
-Make sure your wine dependencies are updated : https://github.com/lutris/docs/blob/master/WineDependencies.md#archendeavourosmanjaroother-arch-derivatives
- If you have an Update manager make sure your up-to-date
- For Vtube Studio Specifically you need the Denchi Soft IP.txt file in the streaming assets folder : https://gist.github.com/DenchiSoft/122729d9a0bd0f96798bea28bfe146d6 
- a Webcam that is UVC compliant (others may work) or a Phone that can interface over the network
-Steam either the system package : https://store.steampowered.com/about/ or the FlatPak: https://flathub.org/apps/com.valvesoftware.Steam 
- obs FlatHub : https://flathub.org/apps/com.obsproject.Studio 
- if you use an amd gpu your drivers are already built into the Kernel - if you use Nvidia try to get a Linux version that had your drivers baked in already or install for ubuntu based distros: https://ubuntu.com/server/docs/nvidia-drivers-installation or for Arch : https://github.com/korvahannu/arch-nvidia-drivers-installation-guide 
- For audio you will need for Pulseaudio : https://flathub.org/apps/com.github.wwmm.pulseeffects , https://flathub.org/apps/org.pulseaudio.pavucontrol , https://qjackctl.sourceforge.io/ or for PIPEWIRE: https://flathub.org/apps/org.rncbc.qpwgraph , https://flathub.org/apps/com.github.wwmm.easyeffects , https://community.linuxmint.com/software/view/qasmixer 
(These all help with audio control and configurations with linux)

OPTIONAL Prerequisites:
-Install Proton Ge either by using ProtonUp-QT: https://flathub.org/apps/net.davidotek.pupgui2 or by using ProtonPlus: https://flathub.org/apps/com.vysp3r.ProtonPlus ( try to get the latest GE proton version or use one that works with Vtube studio) 
-Lutris: https://flathub.org/apps/net.lutris.Lutris ( this is to be used for VTS POG also make sure port 3800 tcp is open in your firewall with an exception) 
-VTS POG: https://eruben.itch.io/vts-pog 
-Mix it up: https://mixitupapp.com/ 
- T.I.T.S: https://remasuri3.itch.io/tits 
-Bottles: https://flathub.org/apps/com.usebottles.bottles possible usage for other Vtubing applications like VeeSeeFace (lutris can also be used here or you can use Steams Built in non-steam game feature as well) 
- Optional UVC compliant Capture card like the Pcie EZCAP/Pyle LINK capture cards for console or second pc capture , alternatively you can also use NDI capture over the network ( ndi capture is laggy or has some lag so be aware of this)

		STARTING OUT ON LINUX


Hello Everyone this is KyloNeko and I am here with a guide to help you get started on Linux! This is a Guide that is Intended to be a way for Vtubers to want to be able to Move away from Windows(or Mac) or People who were not too Keen on the windows Recall Feature, I hope this guide helps a lot of people out as it took me awhile to  switch over and get things worked out, but trust me it works out correctly as I have done a lot of testing on Linux with Various applications that I daily Drive. Make sure you find or test a Linux distro that you intend to use long term you can use Distro Sea to help you figure this out: https://distrosea.com/ . Once you have selected your flavor of Distro you can then proceed to the next step.

			Installing your distro


Ok you made it this far after you selected your flavor of Distro , you can now grab a Flash Drive and then either use Balena Etcher : https://etcher.balena.io/ or rufus : https://rufus.ie/en/ , select your drive you intend to use , Locate the ISO file you downloaded and then proceed to flash it to the usb drive, once you do that , I HIGHLY suggest you also BACK UP any files you wanted to keep from windows to a different drive or use google drive , and then reboot your pc and either go into the bios and select your LINUX bootable drive as the option or press F12 Repeatedly until the drive options appear , you will then be able to boot into a Linux bootloader called grub , you can then select the top option (usually) and then be able to boot into a welcome screen. Make sure you do everything the welcome screen install tells you to ( and maybe play around with the os more before you install ) and then once your distro is installed you can then be notified to reboot into the os. After you have done that you will be given another welcome screen  to follow and install any updates or drivers you deem necessary.  
				Install steam & Proton/GE-Proton

Steam Proton is a very valuable aspect of this whole thing as it is the one that is able to interface with a lot of the applications here , so use the links above and download steam and get Vtube studio , or the other applications mentioned above as possible alternatives. Once you have signed into steam make sure you also go to Settings - > Compatibility - > enable steam play - > then reboot steam once you are prompted , get the ge proton flatpak verson and update your wine dependencies with the links above, Note to install a flatpak use terminal as shown  here : 


And it should install after you pressed enter , or if you are on Linux mint , pop os you can use your package manager to facilitate this. 
Open up ProtonUp-Qt or ProtonPlus and install the latest Proton verson ( in as the writing of this guide (GE-Proton9-11) works the best rn 

			Vtube Studio

Firstly grab Vtube studio off of steam and install it , go into the compatibility settings and choose either ProtonExperimental or use the latest Ge-Proton verson , then go into the files and navigate to streaming assets , Put the Ip.txt file : https://gist.github.com/DenchiSoft/122729d9a0bd0f96798bea28bfe146d6 from here after you downloaded it and put it in the streaming assets folder and it should look like this :


Once that is said and done make sure you grab the Flatpak for Face tracker in Flat hub: https://flathub.org/apps/de.z_ray.Facetracker this will already have the appropriate settings enabled but you may change a few to see fit , make sure you select your webcam and also enable it! 

Example of the settings I Use and it should work after you enable your Webcam in Vtube studio

Once you’re in Vtube studio you will notice a few things are off. Like your eyes are pointing up for whatever reason , this can be fixed after you adjust a few values , these may vary but offer similar results depending on the model , you may also need to adjust and configure some mouth shape settings:




After you have made your adjustments to your model you will then need to go to obs

			OBS Studio

Now Unfortunately the Plugin for Spout 2 Doesn’t work in Obs (on linux) as of right now , But there's at least 2 alternatives. You can either use a Chroma Keyed Window Capture , or you can enable NDI capture for Vtube studio. In my experience the Window Capture method is the best as it offers No latency despite the UI being visible so that is what will be covered in this guide.
First go to OBS and select Window Capture(Xcomposite) then select VtubeStudio it should look like this after you load your model in: 

Next you need to change the background to color picker and change the color to this value here: 

You should get this( optionally you can also do 2bf0 instead for a blue screen) : 






Next you should go into OBS and select these filters:

Next you should go into the chroma Key Filter and adjust your settings to something like this: 
 
!TADA! you should get this:

You can now Live2DVtube in Linux now! 
Make sure the live2d window is open though or you will be greeted with a black screen , you cannot minimize this but keeping it open is the best solution to this issue 



			VTS POG TTS application 
Hello again so after switching to Linux I wanted to find a way to use VTS Pog 
First off you need to Purchase Vts-POG off of Itch.io : https://eruben.itch.io/vts-pog 
Next you will need to get the Lutris Flatpak , the system package WILL NOT WORK: https://flathub.org/apps/net.lutris.Lutris 
Next you will need to install Vts POG and then go into the files on itch and Copy it to the desktop
Next you will need to open up Lutris and add a game:

Make sure you select the Locally Installed option: 

Next you will need to go into your game options and select the vts pog exe that is in the vts pog folder you put on the desktop:



Once you do that go to Runner options and change it to GE-Proton9-11:

As of the time of this writing VTS POG is only compatible with lutris , it will open on bottles , steam , and proton tricks but it will only function if you use lutris

Click on Vts Pog that you just made and click on play and you should see this appear: 

Go to Obs and add the Html files for the pngtuber in the browser source locally a guide is found here for this : https://www.youtube.com/watch?v=DW6oDI4GFoo 

Make sure you when you open up VTS pog on linux you hit TTS Enabled and disabled every time you open it for it to actually register the 3800 port in the system , also make sure you allow port 3800 tcp in your firewall as on linux it can Nuke VTS pog for a bit before it gets re-established again ( it's not foolproof but it will happen less ) 

And it should work, also Live 2d models will work if you load them in as items after configuring them as well as VTS pog will communicate with Vtube studio just like an I-phone would via a Network Port.

Here is a Video guide for VTS POG as well that I made showcasing what is possible : https://youtu.be/lE5g9CSwmfE 





			Mix it Up
		So recently I got Mix it Up working  on linux and I want to be able to share my findings , this one is a bit more simple than the other parts of the guide but you will need to do a few things:
				Prerequisites 
Download Mix it Up here: https://mixitupapp.com/ 
Get the program called bottles off of Flathub to be used to install and run the program:https://flathub.org/apps/com.usebottles.bottles 
Make sure you have Vtube Studio: https://store.steampowered.com/app/1325860/VTube_Studio/ 

Step 1 go to bottles and create a Runner under gaming for Mix It up click on the plus sign:



After the bottle is created go ahead and change your runner to GE-9-11 then install the program the program that is installed wont immediately appear in bottles but the directory will show up now there is a number of ways to run this program as it works in bottles and proton tricks but the simplest way of getting this program to work is running it in bottles  so after you install it find the program in the directory after you install it from the downloads folder: 


Then add the Mix it up Exe as a shortcut in bottles under ge proton in bottles: 






Next click run and it should let you sign into your twitch account( note if you have issues with it letting you sign in try using proton tricks or steam to facilitate this) :
 
Next navigate to services with vtube studio open with plugins enabled a pop up appear:


It should connect to the program properly

Create a Browser source and put this in the url part of it as on linux the copy command in Mix it up doesn’t work properly: http://localhost:8111/overlay/ 


Next follow this video guide by Demythical to add your redeems https://youtu.be/mRpHrXeK5s0 
Tada now you should have redeems working with obs and vtube studio!

	Twitch Integrated Throwing system
		Prerequisites:
T.I.T.S: https://remasuri3.itch.io/tits 
Get the program called bottles off of Flathub to be used to install and run the program:https://flathub.org/apps/com.usebottles.bottles 
Make sure you have Vtube Studio: https://store.steampowered.com/app/1325860/VTube_Studio/ 
OBS: https://flathub.org/apps/com.obsproject.Studio 

Just like with Mix it up make a bottle for TITS and use the GE proton 9-11 runner 
Next go to  https://remasuri3.itch.io/tits  and purchase and download the program as a Zip file
Go into bottles and add it as an executable shortcut
And you should see this : 

Next go to connections and enable twitch and Vtube studio ( or veeseeface)





You will then be greeted with this : 

Go to obs an add TITS in window capture:

Make sure the color key is : 323232 as this will allow for transparency 

Follow this video to make redeems for TITS by maddiekuma: https://www.youtube.com/watch?v=hWOIZqv-u50 happy throwing!



			VmagicMirrior on Linux 
A good indepth video can be found here : https://www.youtube.com/watch?v=S7t5EVSNx9k this is by Cyb3r-Kun




			3D Vtubing

Follow this video made by Robo n’Tux Guides : the Veeseeface section is explained greatly here: https://youtu.be/H0YotaNSbDc?si=FyiimfEbSMJmYNDL&t=223 also for obs game capture you will need Obs-Vkcapture installed  https://github.com/nowrep/obs-vkcapture as far as im aware Vtube Studio doesn’t play nicely with linux gamecapture as a launch option just yet but veeseeface should 
The launch option you would use in Bottles after you made the runner and got the program added as a shortcut would be obs-gamecapture %command%


			AUDIO

Using one of the audio patch bays to help route audio please look at this video for an explanation : https://www.youtube.com/watch?v=TDBGsbwMo40 

				Contributing?
If you would like to contribute to the Linux Guide to Vtubing you can reach me at nekokylo@gmail.com or on twitter at @KyloNek0 

